with w as (
SELECT TRANSID, ACCOUNTID, TRANSDATE,
TRANSAMOUNT, TRANSACTIONNUMBER, NOTES
from CHECKINGACCOUNT_V1
where TRANSCODE!='Deposit'),
a as (
select ACCOUNTNAME, ACCOUNTID from ACCOUNTLIST_V1
)

select d.TRANSDATE as Date
, d.TRANSID, w.TRANSID
, d.TRANSAMOUNT as ToAmount, w.TRANSAMOUNT as FromAmount
, (select ACCOUNTNAME from a where a.ACCOUNTID=d.ACCOUNTID) /*as from_acc*/
||'->'||
(select ACCOUNTNAME from a where a.ACCOUNTID=w.ACCOUNTID) as Account
, d.TRANSACTIONNUMBER as Nr, d.NOTES as Notes
from CHECKINGACCOUNT_V1 d, w
where d.TRANSCODE='Deposit' 
and d.TRANSDATE=w.TRANSDATE
and d.TRANSACTIONNUMBER = w.TRANSACTIONNUMBER
and d.NOTES=w.NOTES
and d.TRANSDATE >= date('now', '-1 month', 'start of month') 